AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
  - Reading
  - Writing
License: MIT
AuthorName: Mosc
SourceCode: https://github.com/Mosc/Glider
IssueTracker: https://github.com/Mosc/Glider/issues

AutoName: Glider

RepoType: git
Repo: https://github.com/Mosc/Glider.git

Builds:
  - versionName: 1.6.2
    versionCode: 22
    commit: v1.6.2
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.0-10.1.pre
    rm:
      - .github
      - .vscode
      - ios
      - linux
      - macos
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/Mosc/Glider/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.6.2
CurrentVersionCode: 22
